org.jboss.netty.handler.codec.spdy

## Interface SpdyRstStreamFrame

All Known Implementing Classes:
  DefaultSpdyRstStreamFrame

    public interface SpdyRstStreamFrame

A SPDY Protocol RST_STREAM Control Frame

### Method Summary

Methods
`SpdyStreamStatus` `getStatus()` Returns the status of this frame.
`int` `getStreamId()` Returns the Stream-ID of this frame.
`int` `getStreamID()` Deprecated. Use `getStreamId()` instead.
`void` `setStatus(SpdyStreamStatus status)` Sets the status of this frame.
`void` `setStreamId(int streamId)` Sets the Stream-ID of this frame.
`void` `setStreamID(int streamId)` Deprecated. Use `setStreamId(int)` instead.

### Method Detail

#### getStreamID

    @Deprecated
    int getStreamID()

Deprecated. Use `getStreamId()` instead.

#### getStreamId

    int getStreamId()

Returns the Stream-ID of this frame.

#### setStreamID

    @Deprecated
    void setStreamID(int streamId)

Deprecated. Use `setStreamId(int)` instead.

#### setStreamId

    void setStreamId(int streamId)

Sets the Stream-ID of this frame. The Stream-ID must be positive.

#### getStatus

    SpdyStreamStatus getStatus()

Returns the status of this frame.

#### setStatus

    void setStatus(SpdyStreamStatus status)

Sets the status of this frame.